## CongNodeModificationSetText

CongNodeModificationSetText —

## Synopsis

    struct      CongNodeModificationSetText;
    #define     CONG_NODE_MODIFICATION_SET_TEXT (obj)
    #define     CONG_NODE_MODIFICATION_SET_TEXT_CLASS(klass)
    #define     IS_CONG_NODE_MODIFICATION_SET_TEXT(obj)
    GType       cong_node_modification_set_text_get_type
                                                (void);
    CongNodeModificationSetText* cong_node_modification_set_text_construct
                                                (CongNodeModificationSetText *node_modification_set_text,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 const gchar *new_content);
    CongModification* cong_node_modification_set_text_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 const gchar *new_content);

## Object Hierarchy

      GObject
       +----CongModification
             +----CongNodeModification
                   +----CongNodeModificationSetText

## Description

## Details

### struct CongNodeModificationSetText

    struct CongNodeModificationSetText;

### CONG_NODE_MODIFICATION_SET_TEXT()

    #define CONG_NODE_MODIFICATION_SET_TEXT(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_NODE_MODIFICATION_SET_TEXT_TYPE, CongNodeModificationSetText)

`obj` : |

### CONG_NODE_MODIFICATION_SET_TEXT_CLASS()

    #define CONG_NODE_MODIFICATION_SET_TEXT_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_NODE_MODIFICATION_SET_TEXT_TYPE, CongNodeModificationSetTextClass)

`klass` : |

### IS_CONG_NODE_MODIFICATION_SET_TEXT()

    #define IS_CONG_NODE_MODIFICATION_SET_TEXT(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_NODE_MODIFICATION_SET_TEXT_TYPE)

`obj` : |

### cong_node_modification_set_text_get_type ()

    GType       cong_node_modification_set_text_get_type
                                                (void);

Returns : |

### cong_node_modification_set_text_construct ()

    CongNodeModificationSetText* cong_node_modification_set_text_construct
                                                (CongNodeModificationSetText *node_modification_set_text,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 const gchar *new_content);

TODO: Write me

`node_modification_set_text` : |
`doc` : |
`node` : |
`new_content` : |
Returns : |

### cong_node_modification_set_text_new ()

    CongModification* cong_node_modification_set_text_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 const gchar *new_content);

TODO: Write me

`doc` : |
`node` : |
`new_content` : |
Returns : |